Description: fixed the syntax of the Makefile for forms, enhanced the clean targer for lang

Index: turing/src/forms/Makefile
===================================================================
--- turing.orig/src/forms/Makefile
+++ turing/src/forms/Makefile
@@ -4,7 +4,8 @@ UI_TARGETS = $(patsubst %.ui, %.py, $(UI
 
 all: $(UI_TARGETS)
 
-clean: rm -f *~
+clean:
+	rm -f *~ ui_*.py
 
 install:
 
Index: turing/src/lang/Makefile
===================================================================
--- turing.orig/src/lang/Makefile
+++ turing/src/lang/Makefile
@@ -9,7 +9,7 @@ all: $(LANG_TARGET)
 	lrelease $<
 
 clean:
-	rm -f *~
+	rm -f *~ *.qm
 
 install:
 
Index: turing/Makefile
===================================================================
--- turing.orig/Makefile
+++ turing/Makefile
@@ -9,5 +9,6 @@ clean:
 
 install:
 	make -C src $@ DESTDIR=$(DESTDIR)
+	find $(DESTDIR) -name .gitignore | xargs rm -f
 
 .PHONY: all clean install
Index: turing/src/Makefile
===================================================================
--- turing.orig/src/Makefile
+++ turing/src/Makefile
@@ -1,9 +1,9 @@
 DESTDIR =
 
 all:
-	pylupdate5 project-linux.pro
 	make -C lang $@ DESTDIR=$(DESTDIR)
 	make -C forms $@ DESTDIR=$(DESTDIR)
+	pylupdate5 project-linux.pro
 
 clean:
 	rm -f *~
